Self-serve contractor payments

Self Serve Update Contractor Profile

Updates the caller's own person given/family name (contractors or org admins).

POSThttps://api.toku.com/hris/self-serve-update-contractor-profile

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/self-serve-update-contractor-profile' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "givenName": "string",
  "familyName": "string"
}'
200 response
{
  "success": true,
  "profile": {
    "givenName": "string",
    "familyName": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

givenNamestringrequired

Allowed: 1 to 120 characters

familyNamestringrequired

Allowed: 1 to 120 characters

Response

200Successful response
successboolean
profileobject
Show child attributes
givenNamestring
familyNamestring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits